Set multiple cache entries (deprecated alias)
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/cache/set-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"key": "<string>",
"value": "<string>",
"ttl": 43200
}
]
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/cache/set-batch"
payload = { "entries": [
{
"key": "<string>",
"value": "<string>",
"ttl": 43200
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entries: [{key: '<string>', value: '<string>', ttl: 43200}]})
};
fetch('https://api.veryfront.com/projects/{project_reference}/cache/set-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.veryfront.com/projects/{project_reference}/cache/set-batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entries' => [
[
'key' => '<string>',
'value' => '<string>',
'ttl' => 43200
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.veryfront.com/projects/{project_reference}/cache/set-batch"
payload := strings.NewReader("{\n \"entries\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"ttl\": 43200\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.veryfront.com/projects/{project_reference}/cache/set-batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entries\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"ttl\": 43200\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.veryfront.com/projects/{project_reference}/cache/set-batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entries\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"ttl\": 43200\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"count": 123
}Set multiple cache entries (deprecated alias)
deprecated
Stores up to 100 values in one transaction, compressed like single writes. Requires project.cache.write.
Deprecated. Legacy cache alias. Use Write cache entries (writeCacheEntries) instead.
POST
/
projects
/
{project_reference}
/
cache
/
set-batch
Set multiple cache entries (deprecated alias)
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/cache/set-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"key": "<string>",
"value": "<string>",
"ttl": 43200
}
]
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/cache/set-batch"
payload = { "entries": [
{
"key": "<string>",
"value": "<string>",
"ttl": 43200
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entries: [{key: '<string>', value: '<string>', ttl: 43200}]})
};
fetch('https://api.veryfront.com/projects/{project_reference}/cache/set-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.veryfront.com/projects/{project_reference}/cache/set-batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entries' => [
[
'key' => '<string>',
'value' => '<string>',
'ttl' => 43200
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.veryfront.com/projects/{project_reference}/cache/set-batch"
payload := strings.NewReader("{\n \"entries\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"ttl\": 43200\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.veryfront.com/projects/{project_reference}/cache/set-batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entries\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"ttl\": 43200\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.veryfront.com/projects/{project_reference}/cache/set-batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entries\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"ttl\": 43200\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"count": 123
}Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Body
application/json
Cache entries to store in a single request. Maximum 100.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes